# fn() view
Returns the view of a given object.

Defined in | <seqan/basic.h>
Signature | `TView view(object);`

## Parameters

`object` | A generic object.

## Return Values

`TView` | The View type of the given object.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- IsView
- View

#### Dox Sources

    /*!
     * @fn TView
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Returns the view of a given object.
     *
     * @signature TView view(object);
     *
     * @param[in] object A generic object.
     *
     * @return TView The @link View @endlink type of the given object.
     *
     * @see View
     * @see IsView
     */